Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class InterceptorTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.InterceptorTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, InterceptorType<T>

    public class InterceptorTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, InterceptorType<T>

This class implements the `interceptorType` xsd type

Original Documentation:

The interceptorType element declares information about a single
interceptor class. It consists of :
- An optional description.
- The fully-qualified name of the interceptor class.
- An optional list of around invoke methods declared on the
interceptor class and/or its super-classes.
- An optional list environment dependencies for the interceptor
class and/or its super-classes.
- An optional list of post-activate methods declared on the
interceptor class and/or its super-classes.
- An optional list of pre-passivate methods declared on the
interceptor class and/or its super-classes.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`InterceptorTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`InterceptorTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`AroundInvokeType<InterceptorType<T>>` | `aroundInvoke()` Returns the `around-invoke` element
`EjbLocalRefType<InterceptorType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<InterceptorType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<InterceptorType<T>>` | `envEntry()` Returns the `env-entry` element
`java.util.List<AroundInvokeType<InterceptorType<T>>>` | `getAroundInvokeList()` Returns all `around-invoke` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<EjbLocalRefType<InterceptorType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<InterceptorType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<InterceptorType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.lang.String` | `getInterceptorClass()` Returns the `interceptor-class` element
`java.util.List<MessageDestinationRefType<InterceptorType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<PersistenceContextRefType<InterceptorType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<InterceptorType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<InterceptorType<T>>>` | `getPostActivateList()` Returns all `post-activate` elements
`java.util.List<LifecycleCallbackType<InterceptorType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<InterceptorType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<LifecycleCallbackType<InterceptorType<T>>>` | `getPrePassivateList()` Returns all `pre-passivate` elements
`java.util.List<ResourceEnvRefType<InterceptorType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<InterceptorType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<ServiceRefType<InterceptorType<T>>>` | `getServiceRefList()` Returns all `service-ref` elements
`MessageDestinationRefType<InterceptorType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`PersistenceContextRefType<InterceptorType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<InterceptorType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<InterceptorType<T>>` | `postActivate()` Returns the `post-activate` element
`LifecycleCallbackType<InterceptorType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<InterceptorType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`LifecycleCallbackType<InterceptorType<T>>` | `prePassivate()` Returns the `pre-passivate` element
`InterceptorType<T>` | `removeAllAroundInvoke()` Removes all `around-invoke` elements
`InterceptorType<T>` | `removeAllDescription()` Removes the `description` element
`InterceptorType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`InterceptorType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`InterceptorType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`InterceptorType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`InterceptorType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`InterceptorType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`InterceptorType<T>` | `removeAllPostActivate()` Removes all `post-activate` elements
`InterceptorType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`InterceptorType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`InterceptorType<T>` | `removeAllPrePassivate()` Removes all `pre-passivate` elements
`InterceptorType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`InterceptorType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`InterceptorType<T>` | `removeAllServiceRef()` Removes all `service-ref` elements
`InterceptorType<T>` | `removeInterceptorClass()` Removes the `interceptor-class` element
`ResourceEnvRefType<InterceptorType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<InterceptorType<T>>` | `resourceRef()` Returns the `resource-ref` element
`ServiceRefType<InterceptorType<T>>` | `serviceRef()` Returns the `service-ref` element
`InterceptorType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`InterceptorType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`InterceptorType<T>` | `setInterceptorClass(java.lang.String interceptorClass)` If not already created, a new `interceptor-class` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorTypeImpl

    public InterceptorTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### InterceptorTypeImpl

    public InterceptorTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllEnvEntry

    public InterceptorType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### envEntry

    public EnvEntryType<InterceptorType<T>> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<InterceptorType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `InterceptorType<T>`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public InterceptorType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### ejbRef

    public EjbRefType<InterceptorType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<InterceptorType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `InterceptorType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public InterceptorType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### ejbLocalRef

    public EjbLocalRefType<InterceptorType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<InterceptorType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `InterceptorType<T>`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public InterceptorType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### resourceRef

    public ResourceRefType<InterceptorType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<InterceptorType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `InterceptorType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public InterceptorType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### resourceEnvRef

    public ResourceEnvRefType<InterceptorType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<InterceptorType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `InterceptorType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public InterceptorType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### messageDestinationRef

    public MessageDestinationRefType<InterceptorType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<InterceptorType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `InterceptorType<T>`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public InterceptorType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### persistenceContextRef

    public PersistenceContextRefType<InterceptorType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<InterceptorType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `InterceptorType<T>`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public InterceptorType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### persistenceUnitRef

    public PersistenceUnitRefType<InterceptorType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<InterceptorType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `InterceptorType<T>`
  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    public InterceptorType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Specified by:
    `removeAllPostConstruct` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### postConstruct

    public LifecycleCallbackType<InterceptorType<T>> postConstruct()

  Returns the `post-construct` element

  Specified by:
    `postConstruct` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    public java.util.List<LifecycleCallbackType<InterceptorType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Specified by:
    `getPostConstructList` in interface `InterceptorType<T>`
  Returns:
    list of `post-construct`

### removeAllPreDestroy

    public InterceptorType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Specified by:
    `removeAllPreDestroy` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### preDestroy

    public LifecycleCallbackType<InterceptorType<T>> preDestroy()

  Returns the `pre-destroy` element

  Specified by:
    `preDestroy` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    public java.util.List<LifecycleCallbackType<InterceptorType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Specified by:
    `getPreDestroyList` in interface `InterceptorType<T>`
  Returns:
    list of `pre-destroy`

### removeAllServiceRef

    public InterceptorType<T> removeAllServiceRef()

  Removes all `service-ref` elements

  Specified by:
    `removeAllServiceRef` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### serviceRef

    public ServiceRefType<InterceptorType<T>> serviceRef()

  Returns the `service-ref` element

  Specified by:
    `serviceRef` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `service-ref`

### getServiceRefList

    public java.util.List<ServiceRefType<InterceptorType<T>>> getServiceRefList()

  Returns all `service-ref` elements

  Specified by:
    `getServiceRefList` in interface `InterceptorType<T>`
  Returns:
    list of `service-ref`

### setDescription

    public InterceptorType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### setDescriptionList

    public InterceptorType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `InterceptorType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `InterceptorType`

### removeAllDescription

    public InterceptorType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `InterceptorType<T>`
  Returns:
    list of `description`

### setInterceptorClass

    public InterceptorType<T> setInterceptorClass(java.lang.String interceptorClass)

  If not already created, a new `interceptor-class` element with the given value will be created. Otherwise, the existing `interceptor-class` element will be updated with the given value.

  Specified by:
    `setInterceptorClass` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### removeInterceptorClass

    public InterceptorType<T> removeInterceptorClass()

  Removes the `interceptor-class` element

  Specified by:
    `removeInterceptorClass` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### getInterceptorClass

    public java.lang.String getInterceptorClass()

  Returns the `interceptor-class` element

  Specified by:
    `getInterceptorClass` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `interceptor-class`

### removeAllAroundInvoke

    public InterceptorType<T> removeAllAroundInvoke()

  Removes all `around-invoke` elements

  Specified by:
    `removeAllAroundInvoke` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### aroundInvoke

    public AroundInvokeType<InterceptorType<T>> aroundInvoke()

  Returns the `around-invoke` element

  Specified by:
    `aroundInvoke` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `around-invoke`

### getAroundInvokeList

    public java.util.List<AroundInvokeType<InterceptorType<T>>> getAroundInvokeList()

  Returns all `around-invoke` elements

  Specified by:
    `getAroundInvokeList` in interface `InterceptorType<T>`
  Returns:
    list of `around-invoke`

### removeAllPostActivate

    public InterceptorType<T> removeAllPostActivate()

  Removes all `post-activate` elements

  Specified by:
    `removeAllPostActivate` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### postActivate

    public LifecycleCallbackType<InterceptorType<T>> postActivate()

  Returns the `post-activate` element

  Specified by:
    `postActivate` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `post-activate`

### getPostActivateList

    public java.util.List<LifecycleCallbackType<InterceptorType<T>>> getPostActivateList()

  Returns all `post-activate` elements

  Specified by:
    `getPostActivateList` in interface `InterceptorType<T>`
  Returns:
    list of `post-activate`

### removeAllPrePassivate

    public InterceptorType<T> removeAllPrePassivate()

  Removes all `pre-passivate` elements

  Specified by:
    `removeAllPrePassivate` in interface `InterceptorType<T>`
  Returns:
    the current instance of `InterceptorType`

### prePassivate

    public LifecycleCallbackType<InterceptorType<T>> prePassivate()

  Returns the `pre-passivate` element

  Specified by:
    `prePassivate` in interface `InterceptorType<T>`
  Returns:
    the node defined for the element `pre-passivate`

### getPrePassivateList

    public java.util.List<LifecycleCallbackType<InterceptorType<T>>> getPrePassivateList()

  Returns all `pre-passivate` elements

  Specified by:
    `getPrePassivateList` in interface `InterceptorType<T>`
  Returns:
    list of `pre-passivate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD